Name:          speech-dispatcher
Version:       0.8.5
Release:       1mamba
Summary:       A high-level device independent layer for speech synthesis
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freebsoft.org/speechd
Source:        http://www.freebsoft.org/pub/projects/speechd/speech-dispatcher-%{version}.tar.gz
Source1:       speech-dispatcher.init
Patch0:        %{name}-0.7.1-alsa_set_default.patch
Patch1:        %{name}-0.8-enable_espeak_mbrola.patch
Patch2:        speech-dispatcher-0.8-pkgconfig-add-includedir.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: festival
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libaudio-devel
BuildRequires: libdotconf-devel
BuildRequires: libespeak-devel
BuildRequires: libglib-devel
BuildRequires: libpython3-devel
BuildRequires: libsndfile-devel
## AUTOBUILDREQ-END
BuildRequires: libdotconf-devel >= 1.3
BuildRequires: libltdl-devel
BuildRequires: libao-devel
Requires(post):%{__install_info}
Obsoletes:     opentts
Provides:      python-speech-dispatcher
Requires:      espeak
Requires:      espeak-mbrola
Obsoletes:     python-speech-dispatcher
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# *** IBM TTS ECI library missing. Compiling without IBM TTS support! See INSTALL.
# *** PulseAudio library missing. Compiling without PulseAudio support! See INSTALL.

%description
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
Key features:
 * Common interface to different TTS engines
 * Handling concurrent synthesis requests – requests may come assynchronously from multiple sources within an application and/or from more different applications
 * Subsequent serialization, resolution of conflicts and priorities of incomming requests
 * Context switching – state is maintained for each client connection independently, event for connections from within one application
 * High-level client interfaces for popular programming languages
 * Common sound output handling – audio playback is handled by Speech Dispatcher rather than the TTS engine, since most engines have limited sound output capabilities 

What is a very high level GUI library to graphics, Speech Dispatcher is to speech synthesis.
The application neither needs to talk to the devices directly nor to handle concurrent access, sound output and other tricky aspects of the speech subsystem. 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     opentts-devel

%description devel
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.

This package contains static libraries and header files need for development.

%package -n  python-%{name}
Summary:       Python wrapper for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n  python-%{name}
Contains Python language bindings for developing Python applications that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d -m0755 \
   %{buildroot}/var/log/speech-dispatcher \
   %{buildroot}/var/run/speech-dispatcher

install -D -m0755 %{S:1} %{buildroot}%{_initrddir}/speech-dispatcherd

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
#if [ $1 -eq 1 ]; then
#   /sbin/chkconfig --add speech-dispatcherd
#   /sbin/service speech-dispatcherd start >/dev/null 2>&1
#elif [ $1 -gt 1 ]; then
#   /sbin/service speech-dispatcherd restart >/dev/null 2>&1
#fi
%install_info spd-say.info
%install_info speech-dispatcher-cs.info
%install_info speech-dispatcher.info
%install_info ssip.info
exit 0

%preun
#if [ $1 -eq 1 ]; then
#   /sbin/service speech-dispatcherd stop >/dev/null 2>&1
#   /sbin/chkconfig --del speech-dispatcherd
#fi
%uninstall_info spd-say.info
%uninstall_info speech-dispatcher-cs.info
%uninstall_info speech-dispatcher.info
%uninstall_info ssip.info

exit 0

%postun
/sbin/ldconfig
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/speech-dispatcher/
%dir %{_sysconfdir}/speech-dispatcher/clients
%dir %{_sysconfdir}/speech-dispatcher/modules
%config(noreplace) %{_sysconfdir}/speech-dispatcher/speechd.conf
%config(noreplace) %{_sysconfdir}/speech-dispatcher/clients/*.conf
%config(noreplace) %{_sysconfdir}/speech-dispatcher/modules/*.conf
%{_initrddir}/speech-dispatcherd
#%{_bindir}/clibrary*
#%{_bindir}/connection_recovery
#%{_bindir}/long_message
#%{_bindir}/run_test
%{_bindir}/spd-conf
%{_bindir}/spd-say
%{_bindir}/spdsend
%{_bindir}/speech-dispatcher
%dir %{_datadir}/speech-dispatcher
%dir %{_datadir}/speech-dispatcher/conf
%{_datadir}/speech-dispatcher/conf/speechd.conf
%dir %{_datadir}/speech-dispatcher/conf/clients
%{_datadir}/speech-dispatcher/conf/clients/*.conf
%dir %{_datadir}/speech-dispatcher/conf/desktop
%{_datadir}/speech-dispatcher/conf/desktop/speechd.desktop
%dir %{_datadir}/speech-dispatcher/conf/modules
%{_datadir}/speech-dispatcher/conf/modules/*.conf
%dir %{_libdir}/speech-dispatcher-modules
%{_libdir}/speech-dispatcher-modules/sd_*
%{_libdir}/libspeechd.so.*
%dir %{_libdir}/speech-dispatcher
%{_libdir}/speech-dispatcher/spd_alsa.so
%{_libdir}/speech-dispatcher/spd_libao.so
%{_libdir}/speech-dispatcher/spd_nas.so
%{_libdir}/speech-dispatcher/spd_oss.so
%{_libdir}/speech-dispatcher/spd_pulse.so
%{_datadir}/sounds/speech-dispatcher/*.wav
%dir /var/log/speech-dispatcher
%dir /var/run/speech-dispatcher
%{_infodir}/spd-say.info.*
%{_infodir}/speech-dispatcher-cs.info.*
%{_infodir}/speech-dispatcher.info.*
%{_infodir}/ssip.info.*
%{python3_sitearch}/speechd*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/speech-dispatcher
%{_includedir}/speech-dispatcher/*.h
%{_libdir}/lib*.so 
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/speech-dispatcher/*.a
%{_libdir}/speech-dispatcher/*.la
%{_libdir}/pkgconfig/speech-dispatcher.pc
#%doc ChangeLog NEWS README TODO

#%files -n python-%{name}
#%defattr(-,root,root)

%changelog
* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic version update by autodist

* Thu May 19 2016 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- automatic version update by autodist

* Fri Jun 19 2015 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-2mamba
- fix pkgconfig file to add includes path as required by chromium >= 26

* Sun Mar 10 2013 Automatic Build System <autodist@mambasoft.it> 0.8-1mamba
- automatic version update by autodist

* Sat Jul 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-2mamba
- rebuilt with libdotconf 1.3
- obsolete opentts
- integrate python-speech-dispatcher into main package as it is for internal use
- set alsa as default output
- enable espeak-generic and espeak-mbrola-generic modules
- require espeak and espeak-mbrola

* Wed Feb 09 2011 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic update by autodist

* Tue Feb 16 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.6.7-4mamba
- new subpackages %{name}-devel and python-%{name}
- install all the info files
- own %{_datadir}/speech-dispatcher and %{_libdir}/speech-dispatcher

* Wed Sep 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-3mamba
- don't activate service on boot because it blocks alsa to other applications

* Wed Sep 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-2mamba
- added initscript

* Tue Sep 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-1mamba
- package created by autospec
